Bug 2817 - mkaptbox ignores hsh --target=ARCH option
: mkaptbox ignores hsh --target=ARCH option
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hasher)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-08-07 09:47 by
Modified: 2009-05-10 09:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-08-07 09:47:45
При создании aptbox/etc/apt/sources.list mkaptbox добавляет строку

${no_stuff:+#}rpm file:$workdir/repo $target hasher

где $target - всегда переменная из /usr/share/hasher/functions (в текущей
конфигурации - i586), независимо от того, какая архитектура была передана hsh.

Это делает невозможным сборку нескольких зависимых пакетов под другую
архитектуру. Реальный пример - сборка ядра и модулей под i686.
---

---
------- Comment #1 From 2003-08-11 18:41:51 -------
should be fixed in 0.4
------- Comment #2 From 2003-08-11 18:41:51 -------
should be fixed in 0.4